Conduct MP3 patrol discussion
Closed, ResolvedPublic

Description

As mentioned in T120288#3343239 there's a potentially heightened risk of inappropriate MP3 uploads becoming overwhelming on Commons, which would be unfortunate because there's also a potentially wonderful opportunity to foster contributions with the MP3 file format, which is among the most popular audio formats in the world.

This is a task for holding appropriate community discussion(s) around the forthcoming support for this file type and determining risk-appropriate next steps.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2017, 4:24 PM
dr0ptp4kt moved this task from Untriaged to Next up on the Multimedia board.

@matthiasmullie @MarkTraceur moving this straight to "Next up", potentially requiring technical input, but certainly involving CL input.

CC @Elitre @Ckoerner

Please, tell me more. :)

  • What is the problem?
  • How does success of this task look like? How do we know when we are done?
  • Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.
  • What is your expected timeline from start to end? Is there a hard deadline?
Keegan added a subscriber: Keegan.Jun 13 2017, 5:09 PM

From what I understand, hiring is being finalized for a Multimedia CL as the team is being put together to start the Structured Data project.

Can this not wait until there is a proper team up and running to support this?

It would be pretty awful if something goes awry and the new team walks into a mess at worse, at best it is pretty confusing to hand off a conversation that's just gotten started. I am not sensing any sort of urgency for this that cannot wait a month.

Please, tell me more. :)

Will try.

  • What is the problem?

The perceived risk is that too many inappropriate MP3s will be uploaded, overwhelming Commons, leading to a rejection of this file format.

  • How does success of this task look like? How do we know when we are done?

Success would be defined as (a) community discussion has been held on this file format (if consensus has not already been reached) and (b) there is consensus to proceed with launching the MP3 file format, with a (c) risk mitigation plan, including rollback strategy.

  • Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.

It's a qualified statement, but I'm not aware of a specific goal, program, or project attached to this in the Wikimedia Foundation annual plan for FY 17-18 for this specific new file format. That said, on the surface it would seem that MP3 file as "just another type of file" is a potential boon to the audio file base on Commons.

As I understand from the comment from @TheDJ at T120288#3250800, the technical support for the file format is relatively straightforward. Now, in practice, one team that would likely need to be involved for maintenance in the future is Multimedia for file upload capabilities. Additionally, if I understand correctly there may be potential tie-ins from Collaboration or Community Tech or both depending on the nature of what sort of patrol and patrol tools may be called for, if any. Note, I'm not speaking on behalf of these teams, just noting this as conceivable. Finally, in practice my understanding is that @TheDJ and @brion commonly collaborate on TimedMediaHandler related code. As @brion notes in T115170#3274651 although technical support is in place, the configuration to activate this on the production cluster has not been created.

  • What is your expected timeline from start to end? Is there a hard deadline?

This I don't know. I'll need to synchronize with some of the potentially involved stakeholders to better understand potential timing of discussion and provisional deployment.

From what I understand, hiring is being finalized for a Multimedia CL as the team is being put together to start the Structured Data project.

Can this not wait until there is a proper team up and running to support this?

It may be able to wait. @TheDJ, a community discussion around this can wait a while, right?

It would be pretty awful if something goes awry and the new team walks into a mess at worse, at best it is pretty confusing to hand off a conversation that's just gotten started. I am not sensing any sort of urgency for this that cannot wait a month.

<copy-paste alert!> I'll need to synchronize with some of the potentially involved stakeholders to better understand potential timing of discussion and provisional deployment.

RP88 added a subscriber: RP88.Jun 13 2017, 8:22 PM
jrbs added a subscriber: jrbs.Jun 13 2017, 8:45 PM
Tbayer added a subscriber: Tbayer.Jun 13 2017, 11:23 PM
TheDJ added a comment.Jun 14 2017, 8:22 AM

It may be able to wait. @TheDJ, a community discussion around this can wait a while, right?

We are currently in status quo. Status quo has existed for years and will continue to exist without action. It seems to me that it is not likely that there will be any action soon.

Keegan added a subscriber: Revent.Jun 14 2017, 9:13 PM

As @Revent mentioned in T120288#3349755 we should draft a post to the Commons Village Pump to discuss the options on how we might move forward with MP3 support.

I'm happy to start a draft, or get out of the way if others would like to.

In my experience (and I have somewhat failed in this at the past) the best method would be to start a simple 'discussion' about the perceived issue, suggest a solution, and then ask the community to debate the matter. Once there is at least some degree of consensus about the correct solution, then ask the community to actually vote on approving it.

The goal here (and I hate being so 'politicial') is to create a degree of investment in the community in solving the actual issue, instead of merely asking for a 'yes or no' to a specific solution.... if the community says yes, and then there are complications, the opinion will shift quickly to 'no' with blame applied to the proposer of the solution that proved to be problematic. We need a degree of community engagement with deciding what is the correct solution to the issue, so that the community has an investment in finding the best solution instead of simply saying 'no, that broke the world'.

I think that we can all accept that enabling MP3 uploads is likely to result in a huge influx of copyrighted music, but that the mere acceptance of the file format itself is desirable. Whatever solution is implemented as far as rejecting obvious copyvios is almost certain to be imperfect... we need community involvement in resolving the problems.

TheDJ removed a subscriber: TheDJ.Jun 15 2017, 1:03 AM

In my experience (and I have somewhat failed in this at the past) the best method would be to start a simple 'discussion' about the perceived issue, suggest a solution, and then ask the community to debate the matter. Once there is at least some degree of consensus about the correct solution, then ask the community to actually vote on approving it.

The goal here (and I hate being so 'politicial') is to create a degree of investment in the community in solving the actual issue, instead of merely asking for a 'yes or no' to a specific solution.... if the community says yes, and then there are complications, the opinion will shift quickly to 'no' with blame applied to the proposer of the solution that proved to be problematic. We need a degree of community engagement with deciding what is the correct solution to the issue, so that the community has an investment in finding the best solution instead of simply saying 'no, that broke the world'.

As part of the Commons Community, I think that's pretty much exactly what "we" would expect you to do. Go to the village pump saying "This is what we would like to do. How do you like it, where do you see problems?". Try to stay involved in the following discussion to show people you're actually interested in what they've got to say. If you need time to figure stuff out, don't hesitate to come back for a second (or third …) round of discussion later on. Once you think you've come up with something most people can agree upon, go to Village pump/Proposals for a final vote. That way, if something breaks we all broke it together. Not following that procedure has created a lot of unnecessary drama and hate in the past that could have been avoided at least partially.

Thanks @El_Grafo that's helpful insight.

I've started a draft. It's rough and I'd appreciate any edits or feedback you might have. I've tried to consider the input from folks here, but if you think I've missed an important point, please let me know.

https://commons.wikimedia.org/wiki/User:CKoerner_(WMF)/MP3_patrol_discussion#A_discussion_about_support_for_MP3_on_Commons

I’d also like to look at adding mp3 transcode output for Ogg/flac/opus/wav files, which will let us use native audio playback on IE/Edge/Safari (reserving the ogv.js JavaScript player shim for video). This should be a much less controversial change – it doesn’t change what you can upload - but I want to make sure messaging doesn’t get confused by having two mp3 issues for the community to look at.

This can be done separately or later, or together, it just should be not confusing. :)

Qgil triaged this task as Normal priority.Jun 27 2017, 7:32 AM
Qgil added a subscriber: Qgil.

(Assuming Normal priority)

Dispenser changed the task status from Open to Stalled.Jul 21 2017, 3:12 PM
Dispenser added a subscriber: Dispenser.

It's been 4 weeks since any major work on the MP3 patrol discussion (draft). Due to WP0 abuse T129845 we already have tools functioning as being proposed by Phase II. This is 6 months to a year too late, I suggest we kill this before wasting time.

CKoerner_WMF added a comment.EditedJul 21 2017, 3:40 PM

Hey @Dispenser, sorry I haven't had a moment to get back to the comments on the draft and move the conversation forward. I owe @El_Grafo's comments some attention. Happy to have another set of eyes on things if you have a moment.

Is there a deadline I'm unaware of that predicates this conversation? I mean other than the never-ending unrelenting uploads of Not Cool content? :) The idea was to start a conversation on how to approach allowing for MP3 uploads without tools. If we have tools (I can't see that task) then great! That might move things forward in a different manner than we have been discussing.

If all that is wrong, my apologies for misunderstanding. To clarify, what are we killing exactly? A conversation about MP3 support or MP3 support on Commons?

If we have tools

T132650: Copyright detection (acoustic fingerprint matching) for audio files

I can't see that task

CC'ed you. (I still don't think that task is supposed to be hidden, see my comment on T129845#3399497). There are also Z567 and Z591 in case you are interested.

zhuyifei1999 added a comment.EditedJul 21 2017, 4:13 PM

BTW: The majority of audio/video are no longer uploadable by newbies because of AF 180 "WP0 abuse – temporary disabled file types", as a result of Commons:Village_pump/Proposals#Restrict_Video_Uploading. If MP3 is added to commons it will have to be immediately added to the mime blacklist in the filter. (Sorry but I can't think of a better choice). In any case, starting the discussion in the current situation will likely result in more opposes than supports due to WP0 madness.

Thanks to the kick in the pants by Dispenser :) I updated the draft proposal for discussion on Commons. I tried to add a little clarity to what we're trying to get out of this conversion. Please review and if there are no objections I can post to Commons.

brion added a comment.Aug 11 2017, 3:42 PM

@CKoerner_WMF I think we're good to go any time on this -- I'd love for us to move forward. :)

Given that @Dispenser already has some basic audio fingerprint scanning tools running that would work with mp3 and more on the way, I'm also unsure how much effort we need to push into the proposed phase 1 tooling.

On a tech level: if we do want to initially restrict .mp3 uploads to a particular group as proposed for phase 0, do we have the infrastructure for that or do we need to hack something else in?

CKoerner_WMF added a comment.EditedAug 12 2017, 8:28 PM

After some discussions at Wikimania, and encouragement from folks in this conversation, I have posted to the Commons Village Pump for discussion. After a few weeks of discussion (participation encouraged!) I'll summarize the results of the conversation.

https://commons.wikimedia.org/wiki/Commons:Village_pump#A_discussion_about_support_for_MP3_on_Commons

CKoerner_WMF changed the task status from Stalled to Open.Aug 12 2017, 8:30 PM
MarkTraceur moved this task from Next up to Tracking on the Multimedia board.Aug 28 2017, 4:44 PM

(moving away from MM's workflow because most of our day-to-day doesn't touch this)

@CKoerner_WMF The discussion has been kicked into the archives just shy of four weeks.

Generally it the support seems to be for just enabling it, while those dissenting worry about a flood of copyright violations. On Commons we block new users from uploading audio / video content (Phase 0 done) and have an IRC monitor feed of new audio / video files with AcoustID integration (Phase 1 done). I think we're good for enabling it.

One a final note: WMF should've been atop this before the patents expired and legal granted approval. I've gone to first Music Hackathon explaining this was imminent. At least there's still time to get atop of MPEG-2 (T166024).

TheDJ added a comment.Sep 11 2017, 9:00 PM

I did a tally:

2 definite no's
10 yes, just enable it (several of which could be interpreted as: yes do the phased approach, depending on how you read it)
6 phased approach (or similar).
1 non-determinable (couldn't figure out what the users final position was)

Ckoerner closed this task as Resolved.Sep 19 2017, 7:02 PM

After consulting with the admins on Commons the consensus appears to be to enable, but with caution.

https://commons.wikimedia.org/wiki/Commons:Administrators%27_noticeboard/Archive_65#Help_understanding_the_recent_discussion_about_enabling_MP3s

Blarg, I closed this with my volunteer account. Sorry for the confusion.

Qgil awarded a token.